summaryrefslogtreecommitdiff
path: root/dev-python/python-dotenv
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-dotenv')
-rw-r--r--dev-python/python-dotenv/files/python-dotenv-0.19.2-entry-points.patch21
-rw-r--r--dev-python/python-dotenv/python-dotenv-0.19.2-r1.ebuild (renamed from dev-python/python-dotenv/python-dotenv-0.19.2.ebuild)8
-rw-r--r--dev-python/python-dotenv/python-dotenv-0.19.2-r2.ebuild44
3 files changed, 71 insertions, 2 deletions
diff --git a/dev-python/python-dotenv/files/python-dotenv-0.19.2-entry-points.patch b/dev-python/python-dotenv/files/python-dotenv-0.19.2-entry-points.patch
new file mode 100644
index 000000000000..a01806fbc8c1
--- /dev/null
+++ b/dev-python/python-dotenv/files/python-dotenv-0.19.2-entry-points.patch
@@ -0,0 +1,21 @@
+diff --git a/setup.py b/setup.py
+index a8122d3..c7bfe82 100644
+--- a/setup.py
++++ b/setup.py
+@@ -36,10 +36,12 @@ setup(
+ extras_require={
+ 'cli': ['click>=5.0', ],
+ },
+- entry_points='''
+- [console_scripts]
+- dotenv=dotenv.cli:cli
+- ''',
++ entry_points={
++ "console_scripts": [
++ "dotenv=dotenv.cli:cli",
++ "python-dotenv=dotenv.cli:cli",
++ ],
++ },
+ license='BSD-3-Clause',
+ classifiers=[
+ 'Development Status :: 5 - Production/Stable',
diff --git a/dev-python/python-dotenv/python-dotenv-0.19.2.ebuild b/dev-python/python-dotenv/python-dotenv-0.19.2-r1.ebuild
index 6074da794b86..aa0decdb356b 100644
--- a/dev-python/python-dotenv/python-dotenv-0.19.2.ebuild
+++ b/dev-python/python-dotenv/python-dotenv-0.19.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -25,7 +25,11 @@ DEPEND="
DOCS=( CHANGELOG.md README.md )
PATCHES=(
- "${FILESDIR}"/${PN}-0.18.0-second-entrypoint.patch # bug 798648
+ # rename the entry point (note: old name is needed in tests)
+ # https://bugs.gentoo.org/798648
+ # also fix syntax since it doesn't seem to work anymore
+ # https://bugs.gentoo.org/833389
+ "${FILESDIR}"/python-dotenv-0.19.2-entry-points.patch
)
distutils_enable_tests --install pytest
diff --git a/dev-python/python-dotenv/python-dotenv-0.19.2-r2.ebuild b/dev-python/python-dotenv/python-dotenv-0.19.2-r2.ebuild
new file mode 100644
index 000000000000..34366d2ca700
--- /dev/null
+++ b/dev-python/python-dotenv/python-dotenv-0.19.2-r2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Manage .env files"
+HOMEPAGE="https://github.com/theskumar/python-dotenv"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+ test? (
+ >=dev-python/click-5[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/sh-1.09[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( CHANGELOG.md README.md )
+
+PATCHES=(
+ # rename the entry point (note: old name is needed in tests)
+ # https://bugs.gentoo.org/798648
+ # also fix syntax since it doesn't seem to work anymore
+ # https://bugs.gentoo.org/833389
+ "${FILESDIR}"/python-dotenv-0.19.2-entry-points.patch
+)
+
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+
+ # Avoid collision with dev-ruby/dotenv (bug #798648)
+ rm "${D}"/usr/bin/dotenv || die
+}